package uk.ac.rhul.cs2800.model;

/**
 * Represents a module with its code, name, and mandatory status.
 */

public class Module {
  private String code;
  private String name;
  private boolean nmc;

  /**
   * Defines a module, including its code, name, and whether it's a mandatory module.
   */
  public Module(String code, String name, boolean nmc) {
    this.code = code;
    this.name = name;
    this.nmc = nmc;
  }

  public String getCode() {
    return code;
  }

  public String getName() {
    return name;
  }

  public boolean isNmc() {
    return nmc;
  }
}
