package uk.ac.rhul.cs2800.model.exception;

/**
 * Custom exception used when a grade is unavailable or missing. Includes a message to explain the
 * reason.
 */

public class NoGradeAvailableException extends Exception {
  private static final long serialVersionUID = 1L;

  /**
   * Custom exception to handle cases when registration cannot be completed. The message provides
   * further context.
   */

  public NoGradeAvailableException(String message) {
    super(message);
  }
}


