package uk.ac.rhul.cs2800.model;

/**
 * This class represents a grade with both a numeric score and a module it belongs to.
 */
public class Grade {

  private int score;
  private Module module;

  /**
   * Constructs a Grade with the score and module.
   * score of the grade module associated with the grade
   */

  public Grade(int score, Module module) {
    this.score = score;
    this.module = module;
  }

  public int getScore() {
    return score;
  }

  public Module getModule() {
    return module;
  }


  public void setScore(int score) {
    this.score = score;
  }

}
